Bug 153400 - [patch] science/hdf5-18 Update to 1.8.5 patch 1
Summary: [patch] science/hdf5-18 Update to 1.8.5 patch 1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 10:20 UTC by Robert Farmer
Modified: 2011-01-09 11:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.21 KB, patch)
2010-12-23 10:20 UTC, Robert Farmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Farmer 2010-12-23 10:20:09 UTC
-Update to 1.8.5 patch 1
-Fix fetch
-Make --disable-debug conditional

Note: perhaps the PORTVERSION should include the patch level? But it hasn't in the past so I left it out.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-12-23 10:20:14 UTC
Maintainer of science/hdf5-18,

Please note that PR ports/153400 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153400

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-12-23 10:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Robert Farmer 2010-12-23 10:39:09 UTC
Sorry, the WITH_DEBUG statement is messed up:

--disable-debug and --enable-production should go together. There
shouldn't be an "else" section.

-- 
Rob Farmer
Comment 4 Po-Chuan Hsieh freebsd_committer 2010-12-29 05:40:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 5 dfilter service freebsd_committer 2011-01-09 11:00:41 UTC
sunpoet     2011-01-09 11:00:35 UTC

  FreeBSD ports repository

  Modified files:
    science/hdf5-18      Makefile distinfo pkg-plist 
  Log:
  - Update to 1.8.5 patch 1
  - Add option: DEBUG
  
  Changes:        http://www.hdfgroup.org/HDF5/doc/ADGuide/Changes.html
  PR:             ports/153400 (based on)
  Submitted by:   Rob Farmer <rfarmer@predatorlabs.net>
  Approved by:    maintainer (timeout, 17 days)
  
  Revision  Changes    Path
  1.59      +23 -21    ports/science/hdf5-18/Makefile
  1.23      +2 -3      ports/science/hdf5-18/distinfo
  1.27      +88 -52    ports/science/hdf5-18/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2011-01-09 11:00:51 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!